# CurrentAdminPermissions.md

## NAMESPACE

RASAdminEngine.Core.OutputModels

## DESCRIPTION

The current administrator permissions

## INHERITED FROM

[RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md)

⇒

CurrentAdminPermissions

## INTERFACES

* ISerializable
* IComparable

## PUBLIC PROPERTIES

| Type                                                                                                                          | Name               | Description                                                       |
| ----------------------------------------------------------------------------------------------------------------------------- | ------------------ | ----------------------------------------------------------------- |
| String                                                                                                                        | AdminName          | The current admin name                                            |
| [AdminType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/admintype.md)                   | AdminType          | The current admin type (User, Group, or User Group)               |
| [CustomPermission](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/custompermission.md)     | CustomPermission   | The custom permissions list for the current admin                 |
| String                                                                                                                        | Email              | Email address of the current admin                                |
| [FarmMode](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/farmmode.md)                     | FarmMode           | Farm mode of the current admin (Standard or Tenant Broker)        |
| String                                                                                                                        | GroupName          | The group name                                                    |
| Boolean                                                                                                                       | Licensing          | Whether licensing is enabled or not for the current admin         |
| String                                                                                                                        | Mobile             | Mobile number of the current admin                                |
| Boolean                                                                                                                       | Monitoring         | Whether monitoring is enabled or not for the current admin        |
| [PermissionType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/permissiontype.md)         | Permissions        | Type of permissions of the current admin (Root, Power, or Custom) |
| Boolean                                                                                                                       | Policies           | Whether policies are enabled or not for the current admin         |
| [RASPowerPermission](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/raspowerpermission.md) | PowerPermission    | The power permissions list for the current admin                  |
| Boolean                                                                                                                       | QuickKeypad        | Whether quick keypad is enabled or not for the current admin      |
| Boolean                                                                                                                       | Reporting          | Whether reporting is enabled or not for the current admin         |
| List\<UInt32>                                                                                                                 | RuntimeSitesList   | List of Runtime Sites for the current admin                       |
| [SectionPermissions](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/sectionpermissions.md) | SectionPermissions | The section permissions list for the current admin                |
| String                                                                                                                        | SID                | The SID of the current admin                                      |

## PUBLIC METHODS

| Type        | Name                       | Description                                                                                                                                |
| ----------- | -------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| Int32       | CompareTo (Object obj)     | Inherited from [RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md) |
| Boolean     | Equals (Object obj)        | Inherited from [RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md) |
| Int32       | GetHashCode ()             | Inherited from [RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md) |
| Type        | GetType ()                 | String                                                                                                                                     |
| ToString () | ### References to Commands |                                                                                                                                            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/currentadminpermissions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
